Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class Util

`java.lang.Object
oracle.rules.sdk.editor.ruleset.Util`

public class Util
extends java.lang.Object

Util contains static methods and constants for use with the editor classes.

Field Summary
`static java.lang.String` | `ADV_PREFIX`
`static java.lang.String` | `BITOP_AND`
`static java.lang.String` | `BITOP_OR`
`static java.lang.String[]` | `BITOPS`
`static java.lang.String` | `CONJUNCTION_AND`
`static java.lang.String` | `CONJUNCTION_OR`
`static java.lang.String[]` | `CONJUNCTIONS` Array containing CONJUNCTION_ constants used in Patterns and AdvancedExpressions.
`static java.lang.String` | `CONSTRAINT`
`static java.lang.String` | `CONSTRAINT_ANY`
`static java.lang.String` | `CONSTRAINT_FIXED`
`static java.lang.String` | `CONSTRAINTLIST`
`static java.lang.String` | `CONSTRAINTSELECTED`
`static java.lang.String` | `CUSTOM`
`static java.lang.String` | `MAKE_CHOICE`
`static java.lang.String` | `NONE`
`static int` | `NOT_SELECTED`
`static java.lang.String` | `OPERATOR_ADD`
`static java.lang.String` | `OPERATOR_DIVIDE`
`static java.lang.String` | `OPERATOR_EXP`
`static java.lang.String` | `OPERATOR_LEFT_PAREN`
`static java.lang.String` | `OPERATOR_MOD`
`static java.lang.String` | `OPERATOR_MULTIPLY`
`static java.lang.String` | `OPERATOR_RIGHT_PAREN`
`static java.lang.String` | `OPERATOR_SUBTRACT`
`static java.lang.String[]` | `OPERATORS` Array containing OPERATOR_ constants (arithmetic operators) for use with AdvancedExpression.
`static java.lang.String` | `OPTIONS`
`static java.lang.String` | `PROP_ID`
`static java.lang.String` | `SELECTED`
`static char` | `SEPARATOR`
`static java.lang.String` | `TESTOP_EQ`
`static java.lang.String` | `TESTOP_GE`
`static java.lang.String` | `TESTOP_GT`
`static java.lang.String` | `TESTOP_LE`
`static java.lang.String` | `TESTOP_LT`
`static java.lang.String` | `TESTOP_NE`
`static java.lang.String[]` | `TESTOPS` Array containing TEST_ constants - use with test operator properties.

Method Summary
`static java.lang.String[]` | `acat(java.lang.String[] a, java.lang.String[] b)`
`static java.lang.String[]` | `acat(java.lang.String[] a, java.lang.String[] b, java.lang.String[] c)`
`static boolean` | `isJavaIdentifier(java.lang.String identifier)`
`static boolean` | `isSubset(java.lang.String[] subset, java.lang.String[] set)` Tells whether the first array is a proper subset of the second
`static java.lang.String` | `quoteIdentifier(java.lang.String identifier)` Adds back quotes around identifiers which contain characters other than Java identifier characters or blanks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TESTOP_EQ

    public static final java.lang.String TESTOP_EQ

  See Also:
    Constant Field Values

### TESTOP_NE

    public static final java.lang.String TESTOP_NE

  See Also:
    Constant Field Values

### TESTOP_GT

    public static final java.lang.String TESTOP_GT

  See Also:
    Constant Field Values

### TESTOP_GE

    public static final java.lang.String TESTOP_GE

  See Also:
    Constant Field Values

### TESTOP_LT

    public static final java.lang.String TESTOP_LT

  See Also:
    Constant Field Values

### TESTOP_LE

    public static final java.lang.String TESTOP_LE

  See Also:
    Constant Field Values

### TESTOPS

    public static final java.lang.String[] TESTOPS

  Array containing TEST_ constants - use with test operator properties.

### CONJUNCTION_AND

    public static final java.lang.String CONJUNCTION_AND

  See Also:
    Constant Field Values

### CONJUNCTION_OR

    public static final java.lang.String CONJUNCTION_OR

  See Also:
    Constant Field Values

### CONJUNCTIONS

    public static final java.lang.String[] CONJUNCTIONS

  Array containing CONJUNCTION_ constants used in Patterns and AdvancedExpressions.

### OPERATOR_LEFT_PAREN

    public static final java.lang.String OPERATOR_LEFT_PAREN

  See Also:
    Constant Field Values

### OPERATOR_RIGHT_PAREN

    public static final java.lang.String OPERATOR_RIGHT_PAREN

  See Also:
    Constant Field Values

### OPERATOR_ADD

    public static final java.lang.String OPERATOR_ADD

  See Also:
    Constant Field Values

### OPERATOR_SUBTRACT

    public static final java.lang.String OPERATOR_SUBTRACT

  See Also:
    Constant Field Values

### OPERATOR_MOD

    public static final java.lang.String OPERATOR_MOD

  See Also:
    Constant Field Values

### OPERATOR_DIVIDE

    public static final java.lang.String OPERATOR_DIVIDE

  See Also:
    Constant Field Values

### OPERATOR_MULTIPLY

    public static final java.lang.String OPERATOR_MULTIPLY

  See Also:
    Constant Field Values

### OPERATOR_EXP

    public static final java.lang.String OPERATOR_EXP

  See Also:
    Constant Field Values

### OPERATORS

    public static final java.lang.String[] OPERATORS

  Array containing OPERATOR_ constants (arithmetic operators) for use with AdvancedExpression.

### BITOP_AND

    public static final java.lang.String BITOP_AND

  See Also:
    Constant Field Values

### BITOP_OR

    public static final java.lang.String BITOP_OR

  See Also:
    Constant Field Values

### BITOPS

    public static final java.lang.String[] BITOPS

### MAKE_CHOICE

    public static final java.lang.String MAKE_CHOICE

  See Also:
    Constant Field Values

### NONE

    public static final java.lang.String NONE

  See Also:
    Constant Field Values

### NOT_SELECTED

    public static final int NOT_SELECTED

  See Also:
    Constant Field Values

### ADV_PREFIX

    public static final java.lang.String ADV_PREFIX

  See Also:
    Constant Field Values

### SEPARATOR

    public static final char SEPARATOR

  See Also:
    Constant Field Values

### CONSTRAINT

    public static final java.lang.String CONSTRAINT

  See Also:
    Constant Field Values

### CONSTRAINTLIST

    public static final java.lang.String CONSTRAINTLIST

  See Also:
    Constant Field Values

### CONSTRAINTSELECTED

    public static final java.lang.String CONSTRAINTSELECTED

  See Also:
    Constant Field Values

### CUSTOM

    public static final java.lang.String CUSTOM

  See Also:
    Constant Field Values

### OPTIONS

    public static final java.lang.String OPTIONS

  See Also:
    Constant Field Values

### SELECTED

    public static final java.lang.String SELECTED

  See Also:
    Constant Field Values

### CONSTRAINT_FIXED

    public static final java.lang.String CONSTRAINT_FIXED

  See Also:
    Constant Field Values

### CONSTRAINT_ANY

    public static final java.lang.String CONSTRAINT_ANY

  See Also:
    Constant Field Values

### PROP_ID

    public static final java.lang.String PROP_ID

  See Also:
    Constant Field Values

Method Detail

### acat

    public static java.lang.String[] acat(java.lang.String[] a,
                                          java.lang.String[] b)

### acat

    public static java.lang.String[] acat(java.lang.String[] a,
                                          java.lang.String[] b,
                                          java.lang.String[] c)

### quoteIdentifier

    public static java.lang.String quoteIdentifier(java.lang.String identifier)

  Adds back quotes around identifiers which contain characters other than Java identifier characters or blanks. Strips leading and trailing spaces.
  Parameters:
    `identifier` - String containing the identifier
  Returns:
    the same String or the same String in quotes if required

### isJavaIdentifier

    public static boolean isJavaIdentifier(java.lang.String identifier)

### isSubset

    public static boolean isSubset(java.lang.String[] subset,
                                   java.lang.String[] set)

  Tells whether the first array is a proper subset of the second
  Parameters:
    `subset` - array whose members must all be found in set
    `set` - array which must contain all members of subset
  Returns:
    true if each member of subset appears at least once in set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.